Qt 5.9 | ChooseMultipleFilesExtensionOption

Qt 5.9.1 Reference Documentation

# ChooseMultipleFilesExtensionOption Class

(QWebPage::ChooseMultipleFilesExtensionOption)

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension. More...

Header: | #include <ChooseMultipleFilesExtensionOption>
qmake: | QT += webkitwidgets
Since: | Qt 4.5
Inherits: | QWebPage::ExtensionOption

- List of all members, including inherited members

## Public Variables

QWebFrame * | parentFrame
QStringList | suggestedFileNames

## Detailed Description

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension.

The ChooseMultipleFilesExtensionOption class holds the frame originating the request and the suggested filenames which might be provided.

See also QWebPage::extension(), QWebPage::chooseFile(), and QWebPage::ChooseMultipleFilesExtensionReturn.

## Member Variable Documentation

### QWebFrame *ChooseMultipleFilesExtensionOption::parentFrame

This variable holds the frame in which the request originated

### QStringList ChooseMultipleFilesExtensionOption::suggestedFileNames

This variable holds the suggested filenames